Subject: Re: bug#43527: [PATCH] grep: avoid unneeded compilation of regex

From: Jim Meyering <[email-masked]>
Date: Tue, 22 Sep 2020 16:25:06 -0700

On Tue, Sep 22, 2020 at 3:57 PM Norihiro Tanaka <[email-masked]> wrote:
> On Tue, 22 Sep 2020 08:50:03 -0700
> Jim Meyering <[email-masked]> wrote:
>
> > On Tue, Sep 22, 2020 at 7:54 AM Norihiro Tanaka <[email-masked]> wrote:
> > > On Mon, 21 Sep 2020 17:33:25 -0700
> > > Jim Meyering <[email-masked]> wrote:
> > ...
> > > > Here are the two patches (tested on top of a third that updates to
> > > > latest gnulib). I'll await an 'ok' from Norihiro Tanaka before
> > > > pushing, since commit-log metadata is essentially immutable once
> > > > pushed.
> > >
> > > Great, thank you.  I confirmed it.
> >
> > Thanks. Pushed.
>
> Oh, I found a bug for this fix.  If Fexecute is called first without
> start_ptr and next with start_ptr, it may break.

Oh! Good timing. I was about to make a new snapshot.
Do you happen to have a test case handy that demonstrates the failure?